KImageTrackLabel Class Reference

`#include <kaboutdialog_private.h>`

Inherits QLabel.

## Public Types

enum | MouseMode { MousePress = 1, MouseRelease, MouseDoubleClick, MouseMove }

## Signals

void | mouseTrack (int mode, const QMouseEvent *e)

## Public Member Functions

| KImageTrackLabel (QWidget *parent, const char *name=0, WFlags f=0)

## Protected Member Functions

virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | mouseDoubleClickEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)

## Detailed Description

Used internally by KAboutContainerBase.

Definition at line 35 of file kaboutdialog_private.h.

The documentation for this class was generated from the following files:

- kaboutdialog_private.h
- kaboutdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys